Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoDynUpdater Class Reference

A base class to actually update an eoUpdatable object. More...

`#include <eoUpdatable.h>`

Inheritance diagram for eoDynUpdater:

List of all members.

## Public Member Functions
| eoDynUpdater (eoUpdatable &_toUpdate)
virtual void | operator() ()
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
eoUpdatable & | toUpdate

## Detailed Description

A base class to actually update an eoUpdatable object.

Definition at line 51 of file eoUpdatable.h.

The documentation for this class was generated from the following file:

- eoUpdatable.h